Update Scanner Information
curl --request PUT \
--url https://api.loyalty.dog/v2/scanners/{scannerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"fullAccess": true,
"pin": "<string>",
"allowedTemplates": [
"5eb7cf5a86d9755df3a6c593"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
fullAccess: true,
pin: '<string>',
allowedTemplates: ['5eb7cf5a86d9755df3a6c593']
})
};
fetch('https://api.loyalty.dog/v2/scanners/{scannerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/scanners/{scannerId}"
payload = {
"name": "<string>",
"fullAccess": True,
"pin": "<string>",
"allowedTemplates": ["5eb7cf5a86d9755df3a6c593"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Scanners
Update Scanner Information
Updates the specified scanner with new data.
Parameters:
scannerId(str): The unique identifier of the scanner to update.data(UpdatePassScannerPayload): The data to update the scanner with.
Returns:
dict: The updated scanner data.
PUT
/
v2
/
scanners
/
{scannerId}
Update Scanner Information
curl --request PUT \
--url https://api.loyalty.dog/v2/scanners/{scannerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"fullAccess": true,
"pin": "<string>",
"allowedTemplates": [
"5eb7cf5a86d9755df3a6c593"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
fullAccess: true,
pin: '<string>',
allowedTemplates: ['5eb7cf5a86d9755df3a6c593']
})
};
fetch('https://api.loyalty.dog/v2/scanners/{scannerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/scanners/{scannerId}"
payload = {
"name": "<string>",
"fullAccess": True,
"pin": "<string>",
"allowedTemplates": ["5eb7cf5a86d9755df3a6c593"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
